"use strict";
class ResponseError extends Error {
    constructor({ code = 500, message, name, fileName, lineNumber }) {
        super(message, fileName, lineNumber);
        this.name = name;
        this.code = code;
    }
    toJSON() {
        return {
            name: this.name,
            message: this.message
        };
    }
}
module.exports.PageAlreadyExistsError = class extends ResponseError {
    constructor(filePath) {
        super({ name: 'PageAlreadyExists', message: `Can't create object, another object already exists at ${filePath}` });
    }
};
module.exports.PageSlugInvalidError = class extends ResponseError {
    constructor() {
        super({ name: 'PageSlugInvalid', message: "Can't create object, provided slug is wrong" });
    }
};
module.exports.PageNotFoundError = new Error('Not Found');
module.exports.ResponseError = ResponseError;
//# sourceMappingURL=response-errors.js.map