"use strict";
const path = require('path');
const fse = require('fs-extra');
const cache = {};
module.exports.renderLoadingPage = function (req, res, { assetsDir, status, htmlMessage, statusMessage, proxyUrl, proxyPath }) {
    const accepts = req.accepts(['html', 'json']);
    if (accepts === 'html') {
        return getCachedFile(path.join(assetsDir, 'loading-page.html')).then((html) => {
            html = html
                .replace(/__MESSAGE__/g, htmlMessage)
                .replace(/__URL__/g, proxyUrl)
                .replace(/__PATH__/g, proxyPath);
            res.status(status).end(html);
        });
    }
    else {
        res.status(status).json({ status: statusMessage });
    }
};
function getCachedFile(htmlFilePath) {
    if (cache[htmlFilePath]) {
        return Promise.resolve(cache[htmlFilePath]);
    }
    else {
        return fse.readFile(htmlFilePath, 'utf8').then((html) => {
            cache[htmlFilePath] = html.toString();
            return Promise.resolve(cache[htmlFilePath]);
        });
    }
}
//# sourceMappingURL=pages.js.map